package cn.rankin.data.api.user.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class TerminalUserVo implements Serializable {

    private String id;

    private String campusId;

    private String name;

    private String code;

    private String password;

    private Integer serialNo;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private String merchantId;

    private String merchantName;

    private String merchantContactName;

    private String merchantContactMobile;

    private String contactName;

    private String mobile;

    private String address;

    private String cityName;

    private String zoneName;

    private String provinceName;

    public String getCampusName() {
        return this.provinceName + this.cityName + this.zoneName;
    }

    private int deviceStatus;
}
