package cn.rankin.userservice.service;

import cn.rankin.data.api.user.entity.TerminalDeviceBindLog;
import cn.rankin.userservice.repository.TerminalDeviceBindLogRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;

@Service
public class TerminalDeviceBindLogService {

    @Autowired
    private TerminalDeviceBindLogRepository terminalDeviceBindLogRepository;

    @Transactional
    public TerminalDeviceBindLog insert(String deviceCode, String userId, String brand, String ip, String modelNo, String terminal) {
        TerminalDeviceBindLog deviceBindLog = new TerminalDeviceBindLog();
        deviceBindLog.setDeviceCode(deviceCode);
        deviceBindLog.setUserId(userId);
        deviceBindLog.setBrand(brand);
        deviceBindLog.setIp(ip);
        deviceBindLog.setModelNo(modelNo);
        deviceBindLog.setTerminal(terminal);
        return terminalDeviceBindLogRepository.save(deviceBindLog);
    }
}
