package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Data
@ToString
public class TerminalDeviceDTO {

    private String id;

    @NotNull
    private String deviceCode;

    @NotNull
    private String userId;

    private String brand;

    private String ip;

    private String modelNo;

    private String terminal;

    private BaseStatusEnum status = BaseStatusEnum.NORMAL;
}
